Bug Hunting Session
Bug 124736 - XLSX Doesn't work filter by Date correct in Pivot table
Summary: XLSX Doesn't work filter by Date correct in Pivot table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords: filter:xlsx
Depends on:
Blocks: Pivot-Table-XLSX
  Show dependency treegraph
 
Reported: 2019-04-14 15:02 UTC by Roman Kuznetsov
Modified: 2019-04-16 07:51 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODS file with Pivot table (11.76 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-04-14 15:03 UTC, Roman Kuznetsov
Details
PIVOT wrong Date.xlsx (9.86 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2019-04-14 15:38 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-04-14 15:02:17 UTC
Description:
Doesn't work filter by Date in Pivot table

this bug follows from partially fixed bug 113908

QA: for check it you should use build from 14 April and more new


Steps to Reproduce:
1. Open file from attach
2. Export it into XLSX
3. Open XLSX into MS Excel (I tried 2016)
4. Go to sheet with pivot table
5. Select Date filter on top 
6. Select item Nov (Ноя), press OK
7. Pivot shows October data instead November data
8. Select in Date filter item October
9. Pivot table shows no data instead October data


Actual Results:
pivot table in XLSX format shows incorrect data when filter by Date

Expected Results:
pivot table in XLSX format shows correct data when filter by Date


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 2e3b0c5d42d60d46cd9f8b8eda9424b095c63418
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-14_00:37:08
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2019-04-14 15:03:10 UTC
Created attachment 150748 [details]
ODS file with Pivot table
Comment 2 Oliver Brinzing 2019-04-14 15:38:37 UTC
Created attachment 150749 [details]
PIVOT wrong Date.xlsx

i can not confirm this with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: d644a561eeb3e6ceb943819895a40c461effdbe6
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

-> "Date" filter is not usable

with LO 6.1.5.2/LO 6.2.3.1 excel complains about problems and the pivot table is removed during load.
Comment 3 Roman Kuznetsov 2019-04-14 15:52:28 UTC
(In reply to Oliver Brinzing from comment #2)
> Created attachment 150749 [details]
> PIVOT wrong Date.xlsx
> 
> i can not confirm this with
> 
> Version: 6.3.0.0.alpha0+ (x64)
> Build ID: d644a561eeb3e6ceb943819895a40c461effdbe6
> CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
> Locale: de-DE (de_DE); UI-Language: en-US
> Calc: threaded
> 
> -> "Date" filter is not usable
> 
> with LO 6.1.5.2/LO 6.2.3.1 excel complains about problems and the pivot
> table is removed during load.

Olivier did you update your daily build to latest?
Comment 4 Oliver Brinzing 2019-04-14 18:17:40 UTC
(In reply to Roman Kuznetsov from comment #3)
> Olivier did you update your daily build to latest?

with:

Version: 6.3.0.0.alpha0+ (x64)
Build ID: c3bca577807d7cbd93ce8c66aab8798de45bef16
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

i can confirm this issue
Comment 5 Mike Kaganski 2019-04-15 20:37:07 UTC
https://gerrit.libreoffice.org/70800
Comment 6 Commit Notification 2019-04-16 07:49:10 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/0871804bab38e1b2fdc19ff176189356e155f367%5E%21

tdf#124736: Sort group field items

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.